JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ExtensionsVisitor::ARAClient Struct Referenceabstract
juce_audio_processors » utilities

Can be used to retrieve information about a plugin that provides ARA extensions. More...

`#include <juce_ExtensionsVisitor.h>`

## Public Member Functions
virtual | ~ARAClient ()=default
virtual void | createARAFactoryAsync (std::function< void(ARAFactoryWrapper)>) const =0

## Detailed Description

Can be used to retrieve information about a plugin that provides ARA extensions.

## Constructor & Destructor Documentation

## ◆ ~ARAClient()

virtual ExtensionsVisitor::ARAClient::~ARAClient | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ createARAFactoryAsync()

virtual void ExtensionsVisitor::ARAClient::createARAFactoryAsync | ( | std::function< void(ARAFactoryWrapper)> |  | ) | const
| pure virtual

The documentation for this struct was generated from the following file:

- juce_ExtensionsVisitor.h